---
# city level
# 基本建設規則
# 若遭受攻擊則暫停建設
- is_attacked:
    # we are in Peace :D
    0:
      # adjust human resources
      - is_constructing:
         0:
            # XXX: 這樣會一口氣買同等城市數量的船耶
            # - is_gold_enoughforcargo:
               # 1: increaseTransporter
            - is_space_enough:
               0: 
                  - is_resource_enoghforHall:
                     1: build_townHall
            - is_wall_enough:
               0: build_wall
            - is_corruption:
               1: build_governorsresidence
            # 倉庫庫存量
            - is_warehouse_enough:
               0: build_warehouse
            - is_happiness:
               0:
                  - is_winepress_researched:
                     1:
                        - is_tavern_available:
                           0: build_tavern
                           1: 
                              - is_bacchanal:
                                 0: set_tavern
                                 1: build_tavern
            # TODO
            # http://ikariam.wikia.com/wiki/List_of_buildings
            # http://ikariam.wikia.com/wiki/Technology_Tree
            # is_conservation_researched
            # -build_warehouse
            # build_academy
            # build_palace (Expansion, Capital only)
            # build_embassy (副城, 不建)
            - is_risk:
               1: 
                  - is_professionalarmy_researched:
                     1:
                        - is_shipyard_level_enough:
                           0: build_shipyard
                        - is_barracks_level_enough:
                           0: build_barracks
                  - is_shipyard_level_enough:
                     0: 
                        - is_drydock_researched: 
                           # requireed more army ?
                           1: build_shipyard
                  #    - build one boat
# 應該把 Barracks 建到最佳等級
            # 要蓋到何種程度?
            # is_invention_researched
            #    1: 
            #       - build_workshop 
            # is_espionage_researched
            #    1: 
            #       - build_hideout
            # is_culturalexchange_resaerched
            #    1: 
            #       - build_museum
